{{ if .Values.storage.create }}
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ include "tuf.fullname" . }}-targets
  labels:
    {{- include "tuf.labels" . | nindent 4 }}
spec:
  accessModes:
  {{- range .Values.storage.accessModes }}
    - {{ . | quote }}
  {{- end }}
  resources:
    requests:
      storage: {{ .Values.storage.size | quote }}
  {{- with .Values.storage.storageClassName }}
  storageClassName: {{ . | quote }}
  {{- end }}
{{- end }}
